# $Revision: 1.20 $, $Date: 2009/04/03 15:09:12 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc
#
%if "%{pld_release}" == "ti"
%bcond_without	java_sun	# build with gcj
%else
%bcond_with	java_sun	# build with java-sun
%endif
#
%include	/usr/lib/rpm/macros.java
#
%define		ver		0.11a
%define		pkgver		0.11a-20060912
%define		srcname		cup
Summary:	Java-based Constructor of Useful Parsers
Summary(pl.UTF-8):	Javowy konstruktor przydatnych analizatorów
Name:		java-cup
Version:	%{ver}
Release:	2
License:	BSD-like
Group:		Development/Languages/Java
Source0:	java_cup-%{pkgver}.tar.gz
# Source0-md5:	c9b26e0e6c1c02f2b37148c54b28cd8d
URL:		http://www2.cs.tum.edu/projects/cup/
BuildRequires:	ant >= 1.5
%{!?with_java_sun:BuildRequires:	java-gcj-compat-devel}
%{?with_java_sun:BuildRequires:	java-sun <= 1.5}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	javacup
Obsoletes:	javacup
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Java CUP is a the Java(TM)-based Constructor of Useful Parsers (CUP
for short). CUP is a system for generating LALR parsers from simple
specifications. It serves the same role as the widely used program
YACC and in fact offers most of the features of YACC. However, CUP is
written in Java, uses specifications including embedded Java code, and
produces parsers which are implemented in Java.

%description -l pl.UTF-8
Java CUP to oparty na Javie(TM) konstruktor użytecznych analizatorów
(Constructor of Useful Parsers - w skrócie CUP). CUP to system służący
do generowania analizatorów LALR z prostych wyrażeń. Służy do tego
samego celu co szeroko używany YACC i w większości ma te same
możliwości. Jednak CUP jest napisany w Javie, używa specyfikacji
dołączającej osadzony kod w Javie i tworzy analizatory
zaimplementowane w Javie.

%package javadoc
Summary:	Java CUP API documentation
Summary(pl.UTF-8):	Dokumentacja API Java CUP
Group:		Documentation

%description javadoc
Java CUP API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API Java CUP.

%prep
%setup -q -n develop

%build
unset CLASSPATH || :
export JAVA_HOME="%{java_home}"

%ant dist

%if %{with javadoc}
%javadoc -d dist/javadoc src/java_cup/*.java
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{name}-%{version}}

cp dist/java-cup-11a.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-%{version}.jar
cp dist/java-cup-11a-runtime.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-runtime-%{version}.jar
ln -sf %{srcname}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}.jar
ln -sf %{srcname}-runtime-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{srcname}-runtime.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a dist/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc changelog.txt manual.html
%{_javadir}/*.jar

# javadoc
%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-cup.spec,v $
Revision 1.20  2009/04/03 15:09:12  pawelz
- removed some hacks that are no longer needed (SHELL=/bin/sh,
  -Dbuild.compiler=extJavac)
- renamed from java_cup
- jdk bconds

Revision 1.19  2009/02/19 15:46:54  pawelz
- rel 2

Revision 1.18  2009/02/19 15:43:38  pawelz
- O/P: javacup
- killed extra space

Revision 1.17  2009/02/19 15:13:46  pawelz
- javadoc was removed from build.xml, so generate it manually...
- ...and unify javadoc %%instal and %%files
- drop O: -javadoc
- use java-gcj-compat-devel
- drop EA
- aotoreq: %%include macros.java, BR: java-prov, drop R: jre

Revision 1.16  2007/02/13 08:06:36  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.14  2006/10/07 10:17:00  qboosh
- Obsoletes for -javadoc

Revision 1.13  2006/09/12 14:17:20  glen
- unify %ant macro

Revision 1.12  2006/09/12 14:12:47  baggins
- version is 0.11a
- updated build
- sorry, no javadoc at this time

Revision 1.11  2006/09/12 14:06:03  baggins
- fix build dir

Revision 1.10  2006/09/12 14:04:38  baggins
- up to 0.11 beta (something more recent than 1999 :/)

Revision 1.9  2006/05/24 11:52:29  qboosh
- defattr

Revision 1.8  2006/05/24 11:08:53  jajcus
- BR: jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- s/_javalibdir/_javadir/
- javadoc subpackage

Revision 1.7  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.6  2005/04/15 20:11:33  darekr
- simplified %setup

Revision 1.5  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.4  2003/09/09 11:48:40  mick3y
- fixed small typo (i hope i didn't break anything)

Revision 1.3  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.2  2003/07/03 22:30:03  qboosh
- description, pl, R: jre

Revision 1.1  2003/07/02 11:43:05  pascalek
- initial revision
